# $Revision: 1.11 $, $Date: 2011/11/27 09:31:19 $
Summary:	Powerful program for manipulating GIF images and animations
Summary(pl.UTF-8):	Potężny program do obróbki obrazków i animacji GIF
Name:		gifsicle
Version:	1.64
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://www.lcdf.org/gifsicle/%{name}-%{version}.tar.gz
# Source0-md5:	dabe9ee0d6d9cea099d9a7e6ecdcc443
Patch0:		%{name}-link.patch
URL:		http://www.lcdf.org/gifsicle/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	rpm >= 4.4.9-56
%if "%{pld_release}" == "ac"
BuildRequires:	XFree86-devel
%else
BuildRequires:	xorg-lib-libX11-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gifsicle manipulates GIF image files on the command line. It supports
merging several GIFs into a GIF animation; exploding an animation into
its component frames; changing individual frames in an animation;
turning interlacing on and off; adding transparency; adding delays,
disposals, and looping to animations; adding or removing comments;
optimizing animations for space; and changing images' colormaps, among
other things.

The gifsicle package contains two other programs: gifview, a
lightweight GIF viewer for X, can show animations as slideshows or in
real time, and gifdiff compares two GIFs for identical visual
appearance.

%description -l pl.UTF-8
gifsicle obrabia pliki obrazów GIF z linii poleceń. Obsługuje łączenie
kilku GIF-ów w animację GIF, rozbijanie animacji na klatki składowe,
zmianę poszczególnych klatek w animacji, włączanie i wyłączanie
interlace'u, dodawanie przezroczystości, dodawanie opóźnień,
dyspozycji i pętli do animacji, dodawanie i usuwanie komentarzy,
optymalizację animacji pod kątem rozmiaru oraz zmieny palety kolorów w
obrazach.

Pakiet gifsicle zawiera dwa dodatkowe programy: gifview (lekką
przeglądarkę GIF-ów dla X, potrafiącą pokazywać animacje jako pokazy
slajdów lub w czasie rzeczywistym) oraz gifdiff (porównujący dwa GIF-y
pod kątem identycznego wyglądu).

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/gifdiff
%attr(755,root,root) %{_bindir}/gifsicle
%attr(755,root,root) %{_bindir}/gifview
%{_mandir}/man1/gifdiff.1*
%{_mandir}/man1/gifsicle.1*
%{_mandir}/man1/gifview.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gifsicle.spec,v $
Revision 1.11  2011/11/27 09:31:19  qboosh
- updated to 1.64

Revision 1.10  2011/07/24 08:38:54  qboosh
- updated to 1.63

Revision 1.9  2011/02/21 06:45:43  glen
- ac deps

Revision 1.8  2010/11/14 16:10:45  qboosh
- updated to 1.60

Revision 1.7  2008/07/21 21:19:50  qboosh
- updated to 1.52

Revision 1.6  2007/05/14 21:54:17  qboosh
- updated to 1.48 (crash fix)

Revision 1.5  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2007/01/14 15:47:56  qboosh
- updated to 1.46
- enabled compression support (by removing --enable-ungif option)
- added link patch, rebuild ac/am (to kill libSM/libICE deps)
- giflib is not used; BR: libX11-devel (for gifview)

Revision 1.2  2007/01/14 14:55:09  qboosh
- pl

Revision 1.1  2007/01/09 13:55:38  glen
- new
